Try ERPNext Buy Support Partners Foundation

ERPNext 12 minor update errors

i have run bench update i got the following errors, how to solve them?

INFO:bench.app:installing frappe

$ /home/syncerp/frappe-bench/env/bin/pip install -q -U -e /home/syncerp/frappe-bench/apps/frappe

Error 1:

ERROR: After October 2020 you may experience errors when installing or updating packages. This is because pip will change the way that it resolves dependency conflicts.

We recommend you use --use-feature=2020-resolver to test your packages with the new resolver before it becomes the default.

google-api-core 1.22.2 requires google-auth<2.0dev,>=1.21.1, but you’ll have google-auth 1.18.0 which is incompatible.

Error 2:

Error: spawn ENOMEM

Error 3:

Error: spawn ENOMEM
:heavy_check_mark: Built js/frappe-web.min.js
internal/child_process.js:407
throw errnoException(err, ‘spawn’);
^

Error: spawn ENOMEM
at ChildProcess.spawn (internal/child_process.js:407:11)
at spawn (child_process.js:548:9)
at Object.fork (child_process.js:116:10)
at ChildProcessWorker.initialize (/home/syncerp/frappe-bench/apps/frappe/node_modules/jest-worker/build/workers/ChildProcessWorker.js:137:44)
at ChildProcessWorker.onExit (/home/syncerp/frappe-bench/apps/frappe/node_modules/jest-worker/build/workers/ChildProcessWorker.js:263:12)
at ChildProcess.emit (events.js:315:20)
at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12) {
errno: ‘ENOMEM’,
code: ‘ENOMEM’,
syscall: ‘spawn’
}

Lost connection to server:

then i ran the update command again i got below error:
Patching sites…
Migrating erp.sync.com.lb
Traceback (most recent call last):
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 583, in connect
**kwargs)
File “/usr/lib/python3.6/socket.py”, line 724, in create_connection
raise err
File “/usr/lib/python3.6/socket.py”, line 713, in create_connection
sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 99, in
main()
File “/home/syncerp/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/commands/init.py”, line 26, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/commands/site.py”, line 287, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/migrate.py”, line 43, in migrate
for app in frappe.get_installed_apps():
File “/home/syncerp/frappe-bench/apps/frappe/frappe/init.py”, line 897, in get_installed_apps
installed = json.loads(db.get_global(“installed_apps”) or “[]”)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/database.py”, line 702, in get_global
return self.get_default(key, user)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/database.py”, line 706, in get_default
d = self.get_defaults(key, parent)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/database.py”, line 724, in get_defaults
defaults = frappe.defaults.get_defaults(parent)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/defaults.py”, line 77, in get_defaults
globald = get_defaults_for()
File “/home/syncerp/frappe-bench/apps/frappe/frappe/defaults.py”, line 204, in get_defaults_for
where parent = %s order by creation""", (parent,), as_dict=1)
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/database.py”, line 122, in sql
self.connect()
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/database.py”, line 75, in connect
self._conn = self.get_connection()
File “/home/syncerp/frappe-bench/apps/frappe/frappe/database/mariadb/database.py”, line 90, in get_connection
local_infile = frappe.conf.local_infile)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/pymysql/init.py”, line 94, in Connect
return Connection(*args, **kwargs)
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 325, in init
self.connect()
File “/home/syncerp/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 630, in connect
raise exc
pymysql.err.OperationalError: (2003, “Can’t connect to MySQL server on ‘localhost’ ([Errno 111] Connection refused)”)

problem solved by adding more memory to the server, and it updated like a charm